weka.core.pmml.jaxbbindings

## Class ArrayType

- java.lang.Object
- - weka.core.pmml.jaxbbindings.ArrayType

-     public class ArrayType
      extends java.lang.Object

  Java class for ArrayType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ArrayType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <attribute name="n" type="{http://www.dmg.org/PMML-4_1}INT-NUMBER" />
             <attribute name="type" use="required">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                   <enumeration value="int"/>
                   <enumeration value="real"/>
                   <enumeration value="string"/>
                 </restriction>
               </simpleType>
             </attribute>
           </restriction>
         </complexContent>
       </complexType>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ArrayType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getContent()` Gets the value of the content property.
    `java.math.BigInteger` | `getN()` Gets the value of the n property.
    `java.lang.String` | `getType()` Gets the value of the type property.
    `void` | `setContent(java.lang.String value)` Sets the value of the content property.
    `void` | `setN(java.math.BigInteger value)` Sets the value of the n property.
    `void` | `setType(java.lang.String value)` Sets the value of the type property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ArrayType

          public ArrayType()

  - ### Method Detail

    - #### getContent

          public java.lang.String getContent()

      Gets the value of the content property.
      Returns:
        possible object is `String`

    - #### setContent

          public void setContent(java.lang.String value)

      Sets the value of the content property.
      Parameters:
        `value` - allowed object is `String`

    - #### getN

          public java.math.BigInteger getN()

      Gets the value of the n property.
      Returns:
        possible object is `BigInteger`

    - #### setN

          public void setN(java.math.BigInteger value)

      Sets the value of the n property.
      Parameters:
        `value` - allowed object is `BigInteger`

    - #### getType

          public java.lang.String getType()

      Gets the value of the type property.
      Returns:
        possible object is `String`

    - #### setType

          public void setType(java.lang.String value)

      Sets the value of the type property.
      Parameters:
        `value` - allowed object is `String`